Package org.gradle.api.artifacts.result

# Interface UnresolvedArtifactResult

All Superinterfaces:
  `ArtifactResult`

public interface UnresolvedArtifactResult extends ArtifactResult
An artifact that could not be resolved.

Since:
  2.0

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Throwable`
  `getFailure()`
  The failure that occurred when the artifact was resolved.

  ### Methods inherited from interface org.gradle.api.artifacts.result.ArtifactResult

  `getId, getType`

- ## Method Details

  - ### getFailure

    Throwable getFailure()
    The failure that occurred when the artifact was resolved.